body {
  overflow-x: hidden;
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0;
}

.sr-only-focusable:active,
.sr-only-focusable:focus {
  position: static;
  width: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  clip: auto;
}

.bg-grey {
  background: #ebeef0;
}

.form-check [type=checkbox]:checked+label::after {
  background-color: var(--bs-primary) !important;
  border-color: var(--bs-primary) !important;
}

.t-primary {
  color: var(--bs-primary) !important;
}

/**
* Global resets
*/
.form-group input,
.form-group optgroup,
.form-group textarea {
  color: var(--bs-body-color) !important;
}

.accordion-header .accordion-button {
  border-top: 0 !important;
}

.cmp-navscroll.sticky-top {
  top: 40px;
}

/**
* Loader
*/
#app-loader {
  align-items: center;
  background-color: #fff;
  display: flex;
  height: 100vh;
  left: 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 10000;
}

#app-loader .wait-container {
  align-items: center;
  display: flex;
  height: 100px;
  justify-content: center;
  pointer-events: none;
  position: relative;
  width: 100%;
}

#app-loader .wait-logo {
  position: relative;
}

#app-loader .wait-logo svg {
  display: block;
  fill: #888;
}

#app-loader .wait-point {
  background-color: #ddd;
  border-radius: 50%;
  height: 15px;
  position: absolute;
  right: 9%;
  top: -50%;
  transform: translate(50%, -91%);
  -webkit-transform: translate(50%, -91%);
  -moz-transform: translate(50%, -91%);
  width: 15px;
}

#app-loader .wait-point.wait-point-bounce {
  animation: wait-point-bounce 1s infinite;
}

@keyframes wait-point-bounce {

  0%,
  90% {
    animation-timing-function: linear;
  }

  10% {
    animation-timing-function: cubic-bezier(0, 0.4, 0.6, 1);
  }

  50% {
    animation-timing-function: cubic-bezier(0.4, 0, 1, 0.6);
  }

  0% {
    -webkit-transform: translate(0, 30%) scaleY(0.5);
    transform: translate(0, 30%) scaleY(0.5);
  }

  10% {
    -webkit-transform: translate(0, 5%) scaleY(1.1);
    transform: translate(0, 5%) scaleY(1.1);
  }

  50% {
    -webkit-transform: translate(0, -37%) scaleY(1.1);
    transform: translate(0, -37%) scaleY(1.1);
  }

  90% {
    -webkit-transform: translate(0, 5%) scaleY(1.1);
    transform: translate(0, 5%) scaleY(1.1);
  }

  100% {
    -webkit-transform: translate(0, 30%) scaleY(0.5);
    transform: translate(0, 30%) scaleY(0.5);
  }
}

/**
* Hide recaptcha badge
*/
.grecaptcha-badge {
  visibility: hidden;
}

/**
* MyDynamo
*/
mydynamo2-form-review a {
  cursor: pointer;
}

mydynamo2-form-wrapper label {
  padding: 0;
}

mydynamo2-form-wrapper textarea {
  font-weight: 700 !important;
  padding: 0.375rem 0.5rem !important;
}

mydynamo2-form-wrapper .cmp-text-area {
  padding: 0;
}

mydynamo2-form-wrapper .cmp-text-area label,
mydynamo2-form-wrapper mydynamo2-file label {
  margin-bottom: 0.375rem;
}

mydynamo2-form-wrapper mydynamo2-multiselect label.fw-bold {
  font-weight: 600 !important;
}

mydynamo2-warning-box ul {
  padding-left: 0;
}

mydynamo2-form-wrapper mydynamo2-checkbox label {
  line-height: 1.5rem !important;
  padding-top: 0.1rem !important;
}

mydynamo2-form-wrapper mydynamo2-checkbox .form-group label {
  color: #1a1a1a;
}

mydynamo2-form-wrapper mydynamo2-htmlarea {
  color: #1a1a1a;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5rem;
}

mydynamo2-form-wrapper .was-validated .form-control:invalid,
mydynamo2-form-wrapper .form-control.is-invalid {
  background-color: white;
}

mydynamo2-form-wrapper .form-group {
  margin-bottom: 1rem;
}

mydynamo2-form-wrapper .form-group label {
  white-space: normal;
  line-height: normal;
  overflow: initial;
  text-overflow: initial;
  position: initial;
  color: #1a1a1a;
}

mydynamo2-form-wrapper .form-group label.active {
  transform: none;
}

mydynamo2-form-wrapper .upload-file-list .upload-file {
  overflow: hidden;
}

mydynamo2-form-wrapper .upload-file-list .upload-file div {
  width: 100%;
}

mydynamo2-form-wrapper .upload-file-list .upload-file p {
  color: #1a1a1a;
  font-size: 18px;
}

mydynamo2-form-wrapper .upload-file-list .upload-file button {
  color: #1a1a1a;
}

mydynamo2-form-wrapper .readonly {
  margin-bottom: 0;
  padding-top: 1rem;
  padding-bottom: 1rem;
  border-bottom: 1px solid rgba(var(--bs-light-rgb), 1);
}

mydynamo2-form-wrapper .readonly label:first-child {
  font-weight: 400;
  font-size: 0.8888888889rem;
}

mydynamo2-form-wrapper .select-wrapper label {
  font-size: 0.777rem;
  margin-left: 0;
  transform: none;
}

mydynamo2-form-wrapper .form-text {
  display: block;
}

mydynamo2-form-wrapper .map-container {
  overflow: hidden;
}

mydynamo2-form-wrapper .cmp-text-area {
  padding: 0;
}

mydynamo2-form-wrapper .cmp-text-area,
.modal-content mydynamo2-form-wrapper mydynamo2-htmlarea p {
  margin-bottom: 1rem !important;
}

mydynamo2-form-wrapper mydynamo2-htmlarea ul {
  list-style: initial;
}

mydynamo2-form-edit .form-group label,
mydynamo2-form-wrapper mydynamo2-multiselect label,
mydynamo2-form-wrapper mydynamo2-radio label,
.modal-content mydynamo2-form-wrapper label {
  color: initial;
  font-size: 0.777rem;
}

mydynamo2-form-wrapper mydynamo2-multiselect label,
mydynamo2-form-wrapper mydynamo2-radio label {
  padding: 0 0.5rem;
}

mydynamo2-multiselect label .fw-bold,
mydynamo2-radio label .fw-bold {
  font-weight: 600 !important;
}

mydynamo2-multiselect .form-check,
mydynamo2-radio .px-3 {
  padding-left: 0 !important;
  padding-right: 0 !important;
  padding-top: 0 !important;
}

mydynamo2-multiselect .form-check label,
mydynamo2-radio .form-check label,
mydynamo2-checkbox .form-check label {
  font-weight: 400 !important;
}

@media (max-width: 575px) {
  mydynamo2-form-wrapper mydynamo2-file .form-group div.d-flex {
    flex-direction: column;
  }

  mydynamo2-form-wrapper mydynamo2-file .form-group ul div.d-flex {
    flex-direction: row;
  }

  mydynamo2-form-wrapper mydynamo2-file .form-group div.d-flex label {
    display: flex;
    justify-content: center;
    margin-bottom: 10px;
    max-width: none;
    width: 100%;
  }
}

.upload-file-list .upload-file svg {
  display: block;
}

.form-check [type=checkbox]:disabled:checked+label::after {
  opacity: 0.65;
}

/**
* Header
*/
.it-header-slim-wrapper .btn-icon:not(.btn-check)+.btn:active {
  color: var(--bs-white) !important;
}

.it-user-wrapper.dropdown.login .rounded-icon .icon {
  margin-left: 0;
}

.btn-logout {
  background-color: transparent !important;
  color: var(--bs-primary) !important;
  line-height: 3rem;
  padding: 0 24px !important;
  width: 100%;
}

.btn-logout svg {
  margin-left: 0 !important;
}

mylibrary-header-bi .logo-img img {
  height: 48px;
  margin-right: 8px;
  object-fit: contain;
  width: 48px;
}

@media (min-width: 992px) {
  mylibrary-header-bi .logo-img img {
    width: 82px;
    height: 82px;
    margin-right: 16px;
  }
}

.it-header-wrapper .it-nav-wrapper .it-header-navbar-wrapper nav {
  padding-left: 0 !important;
  padding-right: 0 !important;
}

@media (max-width: 991.8px) {
  .it-header-wrapper .navbar-collapsable .close-div {
    left: auto !important;
    right: 2px !important;
  }
}

@media (max-width: 400px) {

  mylibrary-header-bi .it-header-center-wrapper .it-header-center-content-wrapper .it-brand-wrapper a h2,
  mylibrary-header-bi .it-header-center-wrapper .it-header-center-content-wrapper .it-brand-wrapper a .h2,
  mylibrary-header-bi .it-header-center-wrapper .it-header-center-content-wrapper .it-brand-wrapper a .it-brand-title {
    font-size: 1em;
  }
}

@media (max-width: 992px) {
  mylibrary-header-bi .d-none {
    display: none !important;
  }
}

@media (min-width: 768px) {
  mylibrary-header-bi .it-header-wrapper .search-link {
    background: transparent;
  }
}

/**
* Breadcrumbs
*/
.breadcrumbs .breadcrumb {
  margin-top: 1rem;
}

.breadcrumbs .breadcrumb-container .breadcrumb .breadcrumb-item a {
  color: var(--bs-primary);
}

/**
* Footer
*/
mylibrary-contact-bi h2 {
  font-weight: 600;
}

mylibrary-footer-bi .free-text a {
  color: #fff;
}

/**
* Modal
*/
.cmp-modal__header-title,
#app-modal-title {
  color: var(--bs-primary);
}

#app-modal-content {
  font-size: 18px;
}

.modal .modal-dialog .modal-content .modal-body p:not(.cmp-upload__info) {
  font-weight: 400;
}

/**
* 
*/
.card:after,
.cmp-card:after {
  content: unset;
}

.btn-large {
  width: 100%;
}

@media (min-width: 768px) {
  .btn-large {
    width: 18.889rem;
  }
}

.btn-payment {
  background-color: #06c !important;
}

.cmp-navscroll .navbar.it-navscroll-wrapper .link-list-wrapper .accordion .accordion-header .accordion-button,
.accordion-header .accordion-button:after,
.cmp-filter .filter-wrapper button span {
  color: var(--bs-primary)
}

.cmp-nav-tab .nav-tabs .nav-link:not(.active).focus--mouse {
  color: var(--bs-primary)
}

.cmp-nav-tab .nav-tabs .nav-link:not(.active).focus--mouse svg {
  fill: var(--bs-primary)
}

.cmp-accordion .icon-wrapper {
  margin-left: 6px;
  margin-right: 6px;
  text-align: right;
  white-space: nowrap;
  width: auto;
}

.cmp-accordion .accordion-header .accordion-button:not(.collapsed) {
  color: var(--bs-primary);
}

.point-list-wrapper .point-list .point-list-aside.point-list-primary {
  border-color: var(--bs-primary) !important;
  color: var(--bs-primary) !important;
}

.point-list-wrapper .point-list .point-list-aside.point-list-primary:after {
  background-color: var(--bs-primary) !important;
}

.cmp-icon-list .shadow .list-item-title {
  color: var(--bs-primary) !important;
}

.accordion-header .accordion-button {
  color: var(--bs-primary) !important;
}

.dropdown-menu .link-list-wrapper ul li a,
.link-list-wrapper ul li a span {
  color: var(--bs-primary) !important;
}

.form-check [type=radio]:checked+label::before {
  border-color: var(--bs-primary) !important;
}

.form-check [type=radio]:checked+label::after {
  background-color: var(--bs-primary) !important;
}

.upload-file-list .upload-file.success p {
  color: var(--bs-primary) !important;
}

.upload-file-list .upload-file.success svg {
  fill: var(--bs-primary) !important;
}

.cmp-accordion .accordion-body .link-list .shadow {
  max-width: none !important;
}


/**
* Procedures
*/
.cmp-nav-steps .steppers-btn-save {
  width: 11rem !important;
}

.cmp-info-progress .completed .title-medium,
.cmp-info-progress .step-active .title-medium {
  color: var(--bs-primary);
  font-weight: 700;
}

.cmp-info-progress .info-progress-body {
  color: var(--bs-primary);
}

.cmp-info-progress .step-active .info-progress-body {
  border-bottom: 2px solid var(--bs-primary);
}

.cmp-info-progress,
.cmp-info-summary .card-header .title-large-semi-bold,
.richtext-wrapper ol,
.richtext-wrapper ul {
  margin-bottom: 1.5rem;
}

.cmp-info-progress .info-progress-wrapper:first-child {
  border-left: 1px solid #e7eaed;
}

.cmp-info-progress .info-progress-wrapper:not(:last-child) {
  border-right: 1px solid #e7eaed;
}

@media (min-width: 576px) {
  .cmp-info-progress {
    margin-bottom: 2.222rem;
  }
}

.navbar.it-navscroll-wrapper .link-list-wrapper ul li a.active {
  border-left-color: var(--bs-primary);
}

profile-procedure .accordion-header .accordion-button {
  justify-content: flex-start;
  margin-top: 7px;
}

.accordion-item:first-of-type .accordion-button,
.accordion-item:last-of-type .accordion-button {
  align-items: flex-start;
}

.accordion-header .accordion-button:after {
  position: relative;
  top: 3px;
}

.accordion-header .accordion-button:not(.collapsed) .icon {
  transform: none;
}

@media (max-width: 991px) {
  service-shell-header .iscrizioni-header .step-title {
    font-size: 18px !important;
    padding: 12px 24px !important;
  }

  .cmp-nav-steps .steppers-nav {
    flex-direction: column-reverse;
  }

  .cmp-nav-steps .steppers-nav button {
    margin-top: 15px;
    width: 100% !important;
  }

  .cmp-nav-steps .steppers-nav button:last-child {
    margin-top: 0;
  }

  .cmp-nav-steps .steppers-nav button.steppers-btn-confirm span {
    padding-left: 24px !important;
  }

  .cmp-nav-steps .steppers-nav button.steppers-btn-submit span {
    padding-left: 0 !important;
  }

  .cmp-nav-steps .steppers-nav button.steppers-btn-prev span {
    padding-right: 24px !important;
  }
}

@media (min-width: 992px) {

  .it-header-navbar-wrapper nav .navbar-collapsable .menu-wrapper .navbar-nav.navbar-secondary a,
  .it-header-center-wrapper .it-header-center-content-wrapper .it-right-zone .it-socials {
    font-size: 18px !important;
  }

}

/**
* pcore
*/

.formio-error-wrapper,
.formio-warning-wrapper {
  padding: 0 !important;
}

.formio-component input[type="text"],
.formio-component select {
  /* border-bottom: 1px solid var(--bs-gray-secondary); */
  box-shadow: none;
}

[ref="fileProcessingLoader"] {
  display: none;
}

.formio-component .card.bg-light {
  background-color: transparent !important;
}

.formio-component-extendedfile .col-form-label {
  position: static;
}

.formio-component .card::after {
  content: none;
}

.formio-component .form-group {
  margin-bottom: 1rem;
}

.formio-component .form-group label {
  color: #1a1a1a;
  font-size: .777rem;
  position: static;
}

.formio-component .form-group label.active {
  transform: none;
}

.form-group label {
  line-height: 1.33rem !important;
  overflow: visible !important;
  text-overflow: clip !important;
  white-space: normal !important;
}

.formio-component .form-check label {
  font-weight: 400;
  line-height: 32px !important;
}

.formio-component .formio-component-select input {
  display: none;
}

.formio-error-wrapper {
  background-color: transparent !important;
  border: 0;
  color: inherit !important;
}

.formio-component .input-group,
.formio-component .form-control.is-invalid {
  background-color: white;
}

.formio-component input::placeholder,
.formio-component textarea::placeholder {
  opacity: 0.5;
}

.formio-component .input-group .input-group-text {
  height: auto;
}

.formio-component-textarea .input-group {
  border: 1px solid var(--bs-gray-secondary);
}

.formio-component-textarea .input-group textarea {
  box-shadow: none;
}

.formio-component-textarea .input-group .input-group-text {
  border: 0;
  align-items: flex-start;
}

.formio-component-extendedfile .upload-file-list {
  margin-left: 9px;
}

.formio-component-extendedfile .upload-file-list .upload-file {
  margin-bottom: 0;
}

.formio-component-extendedfile .upload-file-list .upload-file p {
  margin-left: 0;
}

.formio-component-extendedfile .upload-file-list .progress {
  left: 0;
}

.formio-component-editgrid .list-group-item+.list-group-item {
  border-width: 1px;
}

div.autocomplete {
  padding: 0 !important;
}

.formio-component .list-group {
  border-radius: 0;
  margin-bottom: 1rem;
}

.formio-component .list-group-header {
  border: 0;
  margin-bottom: 0 !important;
  padding: 0;
}

.formio-component .list-group-item {
  margin-bottom: 0.5rem;
}

.formio-component .editRow,
.formio-component .removeRow,
.formio-component .editgrid-actions button {
  padding-bottom: 6px;
  padding-left: 12px;
  padding-right: 12px;
  padding-top: 6px;
}

.formio-component-radio>label {
  line-height: 1.5rem !important;
  overflow: visible;
  white-space: unset !important;
}

.formio-component textarea {
  border: 1px solid #5d7083;
}

.formio-component textarea.form-control.is-invalid {
  background-image: none;
  padding-right: 0.75rem;
}

.formio-component fieldset {
  border: 1px solid #e5e5e5;
  border-radius: 4px;
  padding: 1.33rem;
}

fieldset legend {
  font-weight: 600 !important;
}

.formio-errors.invalid-feedback {
  margin-left: 0;
}

.formio-errors.invalid-feedback .text-warning {
  color: #a66300 !important;
  font-size: 1rem !important;
}

.formio-errors.invalid-feedback svg {
  fill: #a66300 !important;
  flex-shrink: 0;
  margin-right: 8px !important;
}

.upload-file-list .upload-file.error button:hover svg {
  fill: var(--bs-danger);
}

.privacy-feedback .text-warning {
  color: #a66300 !important;
  font-size: 1rem !important;
}

.privacy-feedback svg {
  fill: #a66300 !important;
  flex-shrink: 0;
  margin-right: 8px !important;
}

/* .btn:focus:not(.focus--mouse) {
  border-color: #995c00 !important;
  box-shadow: none !important;
  outline: 2px solid #995c00 !important;
} */

body .form-check [type=checkbox]:focus+label,
body .form-check [type=radio]:focus+label,
body .toggles label input[type=checkbox]:focus+.lever,
body :focus:not(.focus--mouse),
body .btn:focus:not(.focus--mouse) {
  border-color: #fff !important;
  box-shadow: 0 0 0 3px #fff !important;
  outline: 3px solid #000 !important;
  outline-offset: 3px !important;
}